<?php

if( !is_writable( './images') ) die( '/images not writable' );
if( !file_exists( './images/danis_gallery' ) ) mkdir( './images/danis_gallery' );
if( !is_writable( './images/danis_gallery') ) die( '/images/danis_gallery not writable' );

switch( $config['language'] ) {
	case 'german':
		$lang['admin_user_right_danis_gallery'] = 'Gallerie Zugriff';
		$lang['admin_menu_danis_gallery'] = 'Dani\'s Gallerie';
		$lang['admin_gallery_delete_question'] = 'Soll diese Gallerie wirklich gel&ouml;scht werden?';
		$lang['gallery'] = 'Gallerie';
		$lang['admin_gallery_new'] = 'Neue Gallerie';
		$lang['admin_error_gallery_name'] = '<h2>Name wird bereits verwendet</h2>';
		$lang['admin_error_gallery'] = 'Gallerie nicht gefunden.';
		$lang['admin_gallery_error_delete_gallery'] = 'Konnte Gallerie nicht l&ouml;schen';
		$lang['admin_gallery_upload'] = 'Hinaufladen';
		$lang['admin_gallery_image_delete_question'] = 'Soll diesed Bild wirklich gel&ouml;scht werden?';
		$lang['admin_error_gallery_image'] = 'Bild nicht gefunden.';
		$lang['images'] = 'Bilder';
		break;
	case 'english':
	default:
		$lang['admin_user_right_danis_gallery'] = 'Gallery Access';
		$lang['admin_menu_danis_gallery'] = 'Dani\'s Gallery';
		$lang['admin_gallery_delete_question'] = 'Do you really want to delete this gallery?';
		$lang['gallery'] = 'Gallery';
		$lang['admin_gallery_new'] = 'New gallery';
		$lang['admin_error_gallery_name'] = '<h2>Name already in use</h2>';
		$lang['admin_error_gallery'] = 'Gallery not found.';
		$lang['admin_gallery_error_delete_gallery'] = 'Gallery delete failed';
		$lang['admin_gallery_upload'] = 'Upload';
		$lang['admin_gallery_image_delete_question'] = 'Do you really want to delete this image?';
		$lang['admin_error_gallery_image'] = 'Image not found.';
		$lang['images'] = 'Images';
		break;
}

function danis_gallery_permissions()
{
	global $lang, $rights;

	$rights[] = 'danis_gallery';
}

function danis_gallery_addsite()
{
	global $site;
	$site['gallery'] = './plugins/danis_gallery/gallery.php';
}

function rrmdir( $dir )
{
	if( !is_writable( $dir ) ) return false;

	$list = scandir( $dir );
	foreach( $list as $file ) {
		$path = $dir . '/' . $file;
		if( $file != '.' && $file != '..' && !is_writable( $path ) ) return false;
		
		if( $file != '.' && $file != '..' && !is_dir( $path ) ) {
			if( !@unlink( $path ) ) return false;
		}
		elseif( $file != '.' && $file != '..' && is_dir( $path ) ) {
			if( !rrmdir( $path ) ) return false;
		}
	}
	return @rmdir( $dir );
}

$plug->addadminsite( 'blog', 'gallery', './plugins/danis_gallery/admin.php', $lang['admin_menu_danis_gallery'] );
$plug->addhook( 'hook_admin_user_init', 'danis_gallery_permissions' );
$plug->addhook( 'hook_index_site_load', 'danis_gallery_addsite' );

?>
